function LoseScript(that){
	var localOffsetY = 0,
		localOpacity = 0;
	
	
	for(var i=0; i<that.scene.objects.length; i++){
		var object = that.scene.objects[i];
		
		if(object.constructor !== Wizard && object.animations){
			while(object.animations[0]) that.animations.remove(object.animations.splice(0, 1)[0]);
		}
	}
	
	
	this.animations.add(function(i){ localOffsetY = 35 * (1 - ease(i)); localOpacity = i; }, null, 0.4);
	
	
	var fontWhite = that.atlas.gui.font.white;
	
	var elements = {
		tt2: {
			text: "$ PLAY AGAIN $",
			font: fontWhite,
			size: textSize("$ PLAY AGAIN $", fontWhite, 0.8),
			scale: 0.8,
			active: false
		},
		
		tt3: {
			text: "$ MAIN MENU $",
			font: fontWhite,
			size: textSize("$ MAIN MENU $", fontWhite, 0.8),
			scale: 0.8,
			active: false
		}
	};
	
	elements.tt2.offsetX = this.ratio.width/this.scale/2 - 10 - elements.tt2.size.width;
	elements.tt2.offsetY = 100;
	
	elements.tt3.offsetX = this.ratio.width/this.scale/2 + 10;
	elements.tt3.offsetY = 100;
	
	var tt1 = Math.random() > 0.005 ? "- GAME OVER -" : "- YOU ARE A LOSER -",
		ts1 = textSize(tt1, that.atlas.gui.font.white, 1.7);
	
	var score = that.scene.getRule("score"),
		tt4 = "FINAL SCORE: " + score,
		ts4 = textSize(tt4, that.atlas.gui.font.white, 0.8);
	
	this.stateUpdate = function(context, textures, atlas){
		for(var i in elements){
			var element = elements[i];
			if(element.active !== undefined) element.active = touchingText(that, element);
		}
		
		if(this.input.mouse.down || this.input.keys[13] || this.input.keys[32]){
			this.input.mouse.down = false;
			
			if(elements.tt2.active || this.input.keys[13]){
				while(this.animations.animations[0]) this.animations.remove(this.animations.animations[0]);
				this.scene.removeAllParticles();
				this.scene.removeAllObjects();
				this.updateDelta = 1;
				SpaceScript.call(this, this);
				return;
			}
			
			if(elements.tt3.active || this.input.keys[32]){
				while(this.animations.animations[0]) this.animations.remove(this.animations.animations[0]);
				this.scene.removeAllParticles();
				this.scene.removeAllObjects();
				this.updateDelta = 1;
				MenuScript.call(this, this);
				return;
			}
			
			delete this.input.keys[13];
			delete this.input.keys[32];
		}
	};
	
	
	this.stateDraw = function(context, textures, atlas){
		var rotChar = ("_\\|/")[Math.floor(this.loop.frame / 6) % 4];
		
		context.fillStyle = "#000";
		context.globalAlpha = 0.3 * localOpacity;
		context.fillRect(0, 0, this.ratio.width, this.ratio.height);
		context.globalAlpha = 1 * localOpacity;
		
		
		drawText(that.context, that.textures, that.atlas, that.atlas.gui.font.white, tt1, that.ratio.width/that.scale/2 - ts1.width/2, that.ratio.height/that.scale/2 + localOffsetY, 1.7);
		drawText(that.context, that.textures, that.atlas, that.atlas.gui.font.white, tt4, that.ratio.width/that.scale/2 - ts4.width/2, that.ratio.height/that.scale/2 + localOffsetY - 12, 0.8);
		
		// Draw the text elements
		for(var i in elements){
			var element = elements[i];
			drawText(context, textures, atlas, element.font, element.text.split("$").join(element.active ? rotChar : " "), element.offsetX, element.offsetY + (element.active ? Math.sin(this.loop.frame/8) * 0.4 - 0.2 : 0) + localOffsetY, element.scale);
		}
		
		context.globalAlpha = 1;
	};
	

	function textSize(text, font, scale){
		var width = 0,
			height = font[0][3];
		
		for(var i=0; i<text.length; i++){
			var map = font[that.atlas.gui.fontMap.indexOf(text[i])] || font[font.length-1];
			if(text[i] === "\n") height += map[3] + 1;
			else width += map[2] + 1;
		}
		
		return { width: width * scale, height: height * scale };
	}
}
